Name:           llvm-py
Version:        0.6
Release:        1%{?dist}
Summary:        Python bindings for LLVM
Group:          System Environment/Libraries
License:        BSD
URL:            http://www.mdevan.org/llvm-py/download.html
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  llvm-devel python2-devel python3-devel
# Note that we aren't actually using Python 3, as upstream doesn't yet support
# it, but we need /etc/rpm/macros.pybytecompile from python3-devel

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# Turn off automatic use of the brp-python-bytecompile script,
# as we do not want to byte-compile the example files in the doc subpackage.
# We will manuall run the brp-python-bytecompile script in the install
# section.
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%description
llvm-py provides Python bindings for LLVM. It’s goal is to expose
enough of LLVM APIs to implement a compiler backend or a VM in pure
Python. llvm-py consists of Python and C modules that wrap over the
native C++/C bindings of LLVM, and does not use / have dependencies on
"glue utilities" like Boost.Python, swig etc.

%package doc
Summary:        Example programs showing the use of llvm-py
Requires:       %{name} = %{version}-%{release}

%description doc
Example programs showing the use of llvm-py, the Python bindings for LLVM.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}
%py_byte_compile %{__python} %{buildroot}%{python_sitearch}/llvm

# install the example programs for the doc subpackage
install -D -m0644 test/README %{buildroot}%{_docdir}/%{name}/README
install -m0755 test/*.py %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{python_sitearch}/llvm/
%{python_sitearch}/llvm_py-*.egg-info
%doc README LICENSE CHANGELOG

%files doc
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}/README
%{_docdir}/%{name}/*.py

%changelog
* Mon Sep 06 2010 Eric Smith <eric@brouhaha.com> - 0.6-1
- initial version
